import request from "@/utils/request";

// 查询证书管理列表
export function listCertificates(query) {
  return request({
    url: "/zhiyuanzhe/certificates/list",
    method: "get",
    params: query,
  });
}

// 查询证书管理详细
export function getCertificates(id) {
  return request({
    url: "/zhiyuanzhe/certificates/" + id,
    method: "get",
  });
}

// 新增证书管理
export function addCertificates(data) {
  return request({
    url: "/zhiyuanzhe/certificates",
    method: "post",
    data: data,
  });
}

// 修改证书管理
export function updateCertificates(data) {
  return request({
    url: "/zhiyuanzhe/certificates",
    method: "put",
    data: data,
  });
}

// 删除证书管理
export function delCertificates(id) {
  return request({
    url: "/zhiyuanzhe/certificates/" + id,
    method: "delete",
  });
}
